#
# spec file for package jarnal (Version 8.71)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim zlib zlib-devel

Name:           jarnal
BuildRequires:  update-desktop-files
License:        GNU General Public License (GPL)
Group:          Productivity/Office/Other
Summary:        Jarnal is a java based notetaking/sketching application
Requires:       jre
Version:        8.71
Release:        1.1
URL:            http://www.dklevine.com/general/software/tc1000/jarnal.htm
Source0:        %{name}-%{version}.tar.bz2
Source1:        jarnal.desktop
Source2:        jarnal.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Jarnal is a java based notetaking/sketching application similar to
Microsoft One-Note. For tablet PCs it provides the ability to take
handwritten notes; for desktop PCs it allows users to take notes using
the mouse (or more sensibly) using the keyboard. Each page is stored in
SVG format, and the SVG pages are stored in a standard Zip file.



Authors:
--------
    David K. Levine <david@dklevine.com>
    Gunnar Teege

%debug_package
%prep
%setup -n %{name}-%{version} -q
%{?suse_update_config:%{suse_update_config -f . }}

%build

%install
rm -rf $RPM_BUILD_ROOT
%suse_update_desktop_file -i jarnal Office Core-Office
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -m 644 *.jar $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog -n jarnal
* Mon Jan 08 2007 - dkukawka@suse.de
- update to new upstream version which should fix b.n.c #223580
- Fixed b.n.c #222484: readded GenericName
* Sun Nov 12 2006 - stbinner@suse.de
- don't repeat Name in GenericName field within .desktop file
* Thu Feb 02 2006 - dkukawka@suse.de
- updated to new upstream version v7.84
  * related changes:
    - 7.84: Fixes a bug - the dimensions of overlays were saved and
  copied incorrectly, so saving or copying an overlay
  caused them to grow slightly in size
    - 7.81: For unclear reasons, Java likes to print text in
  randomly chosen font sizes which looks pretty bad. As a
  temporary fix, the "Print via PDF" option has been
  added to the print menu. This first prints a pdf file,
  then uses the native print spooler for your system to
  actually print the pdf to the printer. You set the
  native print command in your jarnalshell.conf file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - dkukawka@suse.de
- initil version (v7.80)
